logo
ContactsUpdate contact

Update contact

curl -X PATCH "/api/v1/contacts/123e4567-e89b-12d3-a456-426614174000" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (API key (ixk_...))" \
  -d '{
  "name": "John Doe",
  "company_id": "123e4567-e89b-12d3-a456-426614174000",
  "custom_fields": {}
}'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "email": "user@example.com",
    "name": "John Doe",
    "company_id": "123e4567-e89b-12d3-a456-426614174000",
    "company_name": "John Doe",
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z",
    "recent_tickets": [
      {}
    ],
    "custom_fields": {}
  }
}
PATCH
/contacts/{id}
PATCH
Bearer Token (API key (ixk_...))
Bearer Tokenstring
Required

API key from Settings → API. Pass as Authorization: Bearer <key>

API key from Settings → API. Pass as Authorization: Bearer <key>
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (API key (ixk_...)). API key from Settings → API. Pass as Authorization: Bearer <key>

Path Parameters

Responses

dataobject

GET / POST 201 / PATCH 200 contact body (subset + custom_fields).